<?php include('casa/setup.casa.php');
include('inc_scripts.php');
$codigo_venta = DataForms::GET('id');
$cod_cliente = DataForms::GET('cod_cliente');
$contador_ventas = DataForms::GET('contador_ventas');

$title = $contador_ventas;//'PROFORMA DE VENTA';
echo "<title>".AppName.' - '.$title."</title>";

//InventarioAux($codigo_venta);
//ventor ventas comprobar productos disponibles
$vecVentas = Comprobar($codigo_venta);

$sql = "SELECT MAX(asis_id) AS mx,asis_tipo FROM rol_usuarios_asistencia
	WHERE us_id = '$USID'
  	AND asis_tipo = 'inicio';";

	$db = new DB();
	$db->dbSQL($sql);
	$db->next();
    $id = $db->dbField('mx');
	$sql2 = "SELECT * FROM rol_usuarios_asistencia
	WHERE asis_id = '$id';";
	$db->dbSQL($sql2);
	$db->next();
    $codigo_universal = $db->dbField('asis_codigo');

$Ubicacion = new DB();
$sqlUbicacion = "SELECT * FROM inventarios_ubicaciones ubi, rol_usuarios us
WHERE ubi.ubica_codigo = us.ubica_codigo
AND us.us_id='$USID';";
$Ubicacion->dbSQL($sqlUbicacion);
if($Ubicacion->next())
	$ubica_nombre = $Ubicacion->dbField('ubica_nombre');
else
	$ubica_nombre = 'Central';

$Cliente	= new DB();
/*echo $sqlCliente = "SELECT * FROM inventarios_clientes cli, inventarios_ubicaciones ubi
WHERE cli.clie_puntoentrega = ubi.ubica_codigo
AND cli.clie_codigo = '$cod_cliente';";*/
$sqlCliente = "SELECT * FROM inventarios_clientes cli
WHERE cli.clie_codigo = '$cod_cliente';";
$Cliente->dbSQL($sqlCliente);
$Cliente->next();
	$clie_id = $Cliente->dbField('clie_id');
	$clie_codigo = $Cliente->dbField('clie_codigo');
	$clie_cinit = $Cliente->dbField('clie_cinit');
	$clie_nombres = $Cliente->dbField('clie_nombres');
	$clie_apellidos = $Cliente->dbField('clie_apellidos');
	$clie_destino = $Cliente->dbField('clie_destino');
	$clie_celular = $Cliente->dbField('clie_celular');
	$clie_puntolista = $Cliente->dbField('clie_puntolista');
	$clie_puntoentrega = $Cliente->dbField('clie_puntoentrega');
	$clie_personarecoge = $Cliente->dbField('clie_personarecoge');
	$clie_tipopagonombre = $Cliente->dbField('clie_tipopagonombre');
	$clie_descuento = $Cliente->dbField('clie_descuento');
	if($clie_descuento=='') $clie_descuento=0;
	//$ubicacion_nombre =''; $Cliente->dbField('ubica_nombre');
	$clie_fecha = $Cliente->dbField('clie_fecha');
		$fec = explode(' ',$clie_fecha);
?>
<style>
th{background:#1269DB;
color:white;
text-align:center;
text-transform:uppercase;}	

.card-body{
	margin:4px;
	padding:0;
	border:3px solid #cccccc;
	border-radius:7px;
}
</style>

</head>
<body>
	
			<div class="content">
				
				<div class="page-inner">						
				<div class="row">
						<div class="col-md-12">
						<form>
							<div class="card">
								<div class="card-header">
									<img src="<?php echo PATH_HOME.'assets/img/logo3.jpg';?>" width='100%'>
									<div class="card-title" align=center><h1><b><?php echo $title?></b></h1></div>
								</div>
								<div class="card-body">
								<h3>N°: 0000<?php echo $contador_ventas;?></h3>
									
									<div class="row">										
										<div class="col-md-4 col-lg-4">
											<div class="form-group form-group-default">
												<b>Cliente:</b> <?php echo $clie_nombres.' '.$clie_apellidos ?><br>
												<b>CI/NIT: </b> <?php echo $clie_cinit ?><br>
												<b>Destino: </b> <?php echo $clie_destino ?><br>
												<b>Celular: </b> <?php echo $clie_celular ?>
											</div>																																
										</div>									
										<div class="col-md-6 col-lg-5">
											<div class="form-group form-group-default">
												<b>Punto realización de Lista: </b> <?php echo $clie_puntolista ?><br>
												<b>Punto de Entrega Mercadería: </b> <?php echo $ubica_nombre ?><br>
												<b>Persona que recoge la Mercadería: </b>  <?php echo $clie_personarecoge ?><br>
												<b>Tipo de Pago: </b>  <?php echo $clie_tipopagonombre ?>												
											</div>	
										</div>		
										<div class="col-md-2 col-lg-2">
											<div class="form-group form-group-default">
												<b>Fecha: </b> <?php echo $fec[0] ?><br>
												<b>Hora: </b> <?php echo $fec[1] ?><br>	
											</div>																																			
										</div>	
									</div>
									<div class="col-md-12 col-lg-12">
									<table class="display table table-striped table-hover">
											<thead>
												<tr>													
													<th>item</th>
													<th>descripción</th>
													<th>cajas</th>
													<th>Uni.</th>													
													<th>precio Uni.</th>
													<th>sub total</th>
												</tr>
											</thead>											
											<tbody>
											<?php
											$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi, ventas_productos ven
											WHERE prod.ubica_codigo = ubi.ubica_codigo
											AND ven.ubica_codigo = ubi.ubica_codigo
											AND ven.prod_codigo = prod.prod_codigo
											AND ven.ven_codigo = '$codigo_venta';";	
											$db= new DB();
											$db->dbSQL($sql);
											$html='';
											$i=0;
											$total = 0;
											while($db->next()){						
											$i++;												
												$ubica_nombre = str_replace(' ','&nbsp;',$db->dbField('ubica_nombre'));	
												$ubica_color = $db->dbField('ubica_color');			

												$prod_item = $db->dbField('prod_item');
												$prod_nombre = $db->dbField('prod_nombre');
												$prod_preciounitario = $db->dbField('prod_preciounitario');
												$prod_preciodocena = $db->dbField('prod_preciodocena');
												$prod_preciocajadocena = $db->dbField('prod_preciocajadocena');
												$prod_piezascaja = $db->dbField('prod_piezascaja');
												$prod_observaciones = $db->dbField('prod_observaciones');


												$ven_tipo = $db->dbField('ven_tipo');
												//ventas
												$ven_id = $db->dbField('ven_id');
												$ven_cantidad = $db->dbField('ven_cantidad');
												$ven_precio = $db->dbField('ven_precio');
												  switch($ven_tipo){
													case '1' : $tipo = 'Unidad'; 
														$precio = $prod_preciounitario;
														$piezas = 1;
														$unicaja = 'u';
														$cantidades = $ven_cantidad*$piezas;
														$precios = number_format(($precio/$piezas),2);
													break;
													case '2' : $tipo = 'Docena'; 
														$precio = $prod_preciodocena;
														$piezas = $prod_piezascaja*12;
														$unicaja = 'unidades';														
														$cantidades = $ven_cantidad;
														$precios = number_format(($precio),2);
													break;
													case '3' : $tipo = 'Caja Docena'; 
														$precio = $prod_preciocajadocena;
														$piezas = $prod_piezascaja;
														$unicaja = 'cajas';
														$cantidades = $ven_cantidad*$piezas;
														$precios = number_format(($precio/$piezas),2);
													break;
													case '4' : $tipo = 'Docena'; 
														$precio = $prod_preciodocena;
														$piezas = $prod_piezascaja;
														$unicaja = 'unidades';														
														$cantidades = $ven_cantidad;
														$precios = number_format(($precio),2);
													break;
												  }
												

												$total = $total + ($precio/$piezas)*($ven_cantidad*$piezas);
												$html.='<tr>';
													$html.='<td>'.$prod_item.'</td>';
													$html.='<td><b>'.$prod_nombre.'</b><br>
													'.$prod_observaciones.'</td>';
													
													$html.='<td align=right>'.$ven_cantidad.' '.$unicaja.'</td>';
													$html.='<td align=right>'.($cantidades).'</td>';
													$html.='<td align=right>$u$.: '.$precios.'<br>
													Bs.: '.$precios*Dollar().'</td>';
													$html.='<td align=right>$u$.: '.number_format(($precio/$piezas)*($ven_cantidad*$piezas),2).'<br>
													Bs.:'.number_format((($precio/$piezas)*($ven_cantidad*$piezas)*Dollar()),2).'</td>';													
												$html.='</tr>';											
												
											}//wend() 
											$NumDescuento = $total*($clie_descuento/100);
											$html.= '<tr><td colspan=7 align=right>
											<h3>Total Parcial: $u$. '.number_format($total,2).'<br>
											Total Parcial: Bs. '.number_format($total*Dollar(),2).'</h3></td></tr>';											
											$html.= '<tr><td colspan=7 align=right>
											<h3>Descuento: $u$. '.number_format($NumDescuento,2).'<br>
											Descuento: Bs. '.number_format($NumDescuento*Dollar(),2).'</h3></td></tr>';
											$html.= '<tr><td colspan=7 align=right>
											<h3><b>Subtotal menos Descuento: $u$. '.number_format((($total-$NumDescuento)),2).'</b><br>
											<b>Subtotal menos Descuento: Bs. '.number_format((($total-$NumDescuento)*Dollar()),2).'</b></h3></td></tr>';
										
											echo utf8_encode($html);
											?>													
											</tbody>
										</table>	
									</div>
								</div>
								<div class="card-action" id='botones'>
									<?php 
									echo $CantidadDisponible = sizeof($vecVentas);
									if($CantidadDisponible <= 0){
									?>
									<center>
									<div id='res'></div><input type="hidden" id="txtFecha">
									<button onclick='self.location="<?php echo PATH_HOME."cajas-cobrar/ver";?>";' class="btn btn-danger" type='button'><b> CANCELAR </b></button>	
									<button id='bntImprimir' class="btn btn-info" type='button'><b> COBRAR y ENVIAR A ALMACEN PARA SU ENTREGA </b></button>	</center>								
									<?php 
									}else{
										for($i=0;$i<$CantidadDisponible;$i++){
											echo $vecVentas[$i];
										}
									} 
									?>
								</div>
							</div>
						</form>
						</div>
					</div>
				</div>
				
			</div>
<?php include('inc_pie.php');
//comprobar cantidad productos disponibles en inventario
function Comprobar($venta){
	$sql = "SELECT * FROM inventarios_productos prod, ventas_productos ven
	WHERE ven.prod_codigo = prod.prod_codigo
	AND ven.ven_codigo = '$venta';";	
	$db= new DB();
	$db->dbSQL($sql);
	$total = 0;
	$i=0;
	while($db->next()){
		$prod_codigo = $db->dbField('prod_codigo');		
		$prod_nombre = $db->dbField('prod_nombre');						
		$prod_cantidadcajas = $db->dbField('prod_cantidadcajas');
		$prod_unidadesreal = $db->dbField('prod_unidadesreal');
		if($prod_unidadesreal<=0){
			$vecVentas[$i] = '<h2><b>No se puede vender; Saldo no disponible en Inventario </b></h2><hr><b>Producto: </b>'.$prod_nombre.'<br>
			<b>Caja/Unidades: </b>'.$prod_unidadesreal;
			$i++;
		}
	}

	return $vecVentas;

}	
//actualizar inventario auxiliar
function InventarioAux($codigo_venta){
	$Inventario = new DB();
	$ActualizarProductos = new DB();
	$sqlInventario = "SELECT * FROM ventas_productos ven, inventarios_productos prod
	WHERE ven.prod_codigo = prod.prod_codigo
	AND ven.ven_codigo = '$codigo_venta';";
	$Inventario->dbSQL($sqlInventario);
	
	while($Inventario->next()){
		$ven_codigo = $Inventario->dbField('ven_codigo');
		$clie_codigo = $Inventario->dbField('clie_codigo');
		$prod_codigo = $Inventario->dbField('prod_codigo');
		$ubica_codigo = $Inventario->dbField('ubica_codigo');
		$us_id = $Inventario->dbField('us_id');
		$ven_cantidad = $Inventario->dbField('ven_cantidad');
		$ven_precio = $Inventario->dbField('ven_precio');
		$ven_tipo = $Inventario->dbField('ven_tipo');

		ActualizarDB($prod_codigo,$ven_cantidad,$ven_tipo);
	}
}
function ActualizarDB($prod_codigo,$ven_cantidad,$ven_tipo){
	$Inventario = new DB();
	$ActualizarProductos = new DB();
	$sqlInventario = "SELECT * FROM inventarios_productos
	WHERE prod_codigo = '$prod_codigo';";
	$Inventario->dbSQL($sqlInventario);
	$Inventario->next();
		//Productos
		$prod_piezascaja = $Inventario->dbField('prod_piezascaja');
		$prod_unidadesreal = $Inventario->dbField('prod_unidadesreal');	
		//Calculos ventas - productos
		$ActCantidadProducto = 0;
		$SaldoNuevo=0;
		switch($ven_tipo){
			case 1: $TipoVenta = 'Unidad'; 
				$ActCantidadProducto	= $ven_cantidad;
			break;
			case 2: $TipoVenta = 'Docena';
				$ActCantidadProducto	= $ven_cantidad;
			break;
			case 3: $TipoVenta = 'CajaDocena';
				$ActCantidadProducto	= $ven_cantidad * $prod_piezascaja;
			break;
			case 4: $TipoVenta = 'unidades por docena';
				$ActCantidadProducto	= $ven_cantidad;
			break;
		}
		//Restar cantidad actual del producto menos la compra realizada
		$SaldoNuevo = $prod_unidadesreal - $ActCantidadProducto;
		$sqlActualizarCantidad = "UPDATE inventarios_productos SET 
			prod_unidadesrealauxiliar = '$SaldoNuevo'
		WHERE prod_codigo ='$prod_codigo';";
		$ActualizarProductos->dbSQL($sqlActualizarCantidad);
}		
?>
		
</body>
</html>
<script>
let fechas='';	
$(document).ready(function(){ 
  var tiempo = new Date();
  var mes =(tiempo.getMonth()+1);
    if(mes<10) mes = '0'+mes;
  var dia =tiempo.getDate();
    if(dia<10) dia='0'+dia;
  var ano = tiempo.getFullYear();
  /*var fecha = tiempo.toISOString().split('T')[2];*/
  var fecha = ano+'-'+mes+'-'+dia;
  let hh = tiempo.getHours();
    if(hh<10) hh = '0'+hh;
  let mm = tiempo.getMinutes();
    if(mm<10) mm = '0'+mm;
  let ss = tiempo.getSeconds();
    if(ss<10) ss = '0'+ss;
  let hora = hh+':'+mm+':'+ss;
  $('#txtFecha').val(fecha+';'+hora);
  fechas=fecha+';'+hora;
});	
$('#bntImprimir').click(function(){
	$('#botones').hide();
	window.print();
	self.location='<?php echo PATH_HOME."cajeros-entregar2/".$codigo_venta; ?>&fechas='+fechas+'&codigo_universal=<?php echo $codigo_universal; ?>';
});
</script>